﻿using Shared;

namespace Model.Repository;

public interface IUserRepository : IGenericRepository<User>
{
    public Task<IEnumerable<User>> GetUsers(int index, int count, AthleteOrderCriteria? criteria , bool descending = false);
    
    public Task<bool> AddFriend(User user, User friend);
}